## The Student t Distribution

## Usage

    dt(x, df)
    pt(q, df, ncp=0)
    qt(p, df)
    rt(n, df)

## Arguments

`x,q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations to generate.
`df` | degrees of freedom.
`ncp` | non-centrality parameter delta; currently `ncp <= 37.62`.

## Description

These functions provide information about the t distribution with `df` degrees of freedom (and optional noncentrality parameter `ncp`). `dt` gives the density, `pt` gives the distribution function, `qt` gives the quantile function and `rt` generates random deviates.

## Details

The t distribution with `df` = n degrees of freedom has density

f(x) = Gamma((n+1)/2) / (sqrt(n pi) Gamma(n/2)) (1 + x^2/n)^-((n+1)/2)

for all real x.

The general non-central t with parameters (df,Del) `= (df, ncp)` is defined as a the distribution of T(df,Del) := (U + Del) / (Chi(df) / sqrt(df)) where U and Chi(df) are independent random variables, U ~ N(0,1), and Chi(df)^2 is chi-squared, see `pchisq`.

The most used applications are power calculations for t-tests:
Let T= (mX - m0) / (S/sqrt(n)) where mX is the `mean` and S the sample standard deviation (`sd`) of X_1,X_2,...,X_n which are i.i.d. N(mu,sigma^2). Then T is distributed as non-centrally t with `df`= n-1 degrees of freedom and non-centrality parameter `ncp`= mu - m0.

## References

Lenth, R. V. (1989). Algorithm AS 243 – Cumulative distribution function of the non-central t distribution, Appl. Statist. 38, 185𤪭.

## See Also

`df` for the F distribution.

## Examples

    1 - pt(1:5, df = 1)
    qt(.975, df = c(1:10,20,50,100,1000))

    tt <- seq(0,10, len=21)
    ncp <- seq(0,6, len=31)
    ptn <- outer(tt,ncp, function(t,d) pt(t, df = 3, ncp=d))
    image(tt,ncp,ptn, zlim=c(0,1),main=t.tit <- "Non-central t - Probabilities")
    persp(tt,ncp,ptn, zlim=0:1, r=2, phi=20, theta=200, main=t.tit)

[Package Contents]